import * as d3 from 'd3';
import { ScaleModel } from './ScaleModel';
export declare class GeoScaleModel extends ScaleModel {
    defaults(): {
        _model_name: string;
        _view_name: string;
        _model_module: string;
        _view_module: string;
        _model_module_version: string;
        _view_module_version: string;
        reverse: boolean;
        allow_padding: boolean;
    };
    compute_and_set_domain(data_array: any, id: any): void;
    update_domain(): void;
    projection: d3.GeoProjection;
}
export declare class MercatorModel extends GeoScaleModel {
    defaults(): {
        _model_name: string;
        _view_name: string;
        scale_factor: number;
        center: number[];
        rotate: number[];
        _model_module: string;
        _view_module: string;
        _model_module_version: string;
        _view_module_version: string;
        reverse: boolean;
        allow_padding: boolean;
    };
    initialize(attributes: any, options: any): void;
    create_projection(): void;
    attribute_changed(): void;
}
export declare class AlbersModel extends GeoScaleModel {
    defaults(): {
        _model_name: string;
        _view_name: string;
        scale_factor: number;
        center: number[];
        parallels: number[];
        precision: number;
        _model_module: string;
        _view_module: string;
        _model_module_version: string;
        _view_module_version: string;
        reverse: boolean;
        allow_padding: boolean;
    };
    initialize(attributes: any, options: any): void;
    create_projection(): void;
    attribute_changed(): void;
}
export declare class AlbersUSAModel extends GeoScaleModel {
    defaults(): {
        _model_name: string;
        _view_name: string;
        scale_factor: number;
        translate: number[];
        _model_module: string;
        _view_module: string;
        _model_module_version: string;
        _view_module_version: string;
        reverse: boolean;
        allow_padding: boolean;
    };
    initialize(attributes: any, options: any): void;
    create_projection(): void;
    attribute_changed(): void;
}
export declare class EquiRectangularModel extends GeoScaleModel {
    defaults(): {
        _model_name: string;
        _view_name: string;
        scale_factor: number;
        _model_module: string;
        _view_module: string;
        _model_module_version: string;
        _view_module_version: string;
        reverse: boolean;
        allow_padding: boolean;
    };
    initialize(attributes: any, options: any): void;
    create_projection(): void;
    attribute_changed(): void;
}
export declare class OrthographicModel extends GeoScaleModel {
    defaults(): {
        _model_name: string;
        _view_name: string;
        scale_factor: number;
        center: number[];
        rotate: number[];
        clip_angle: number;
        precision: number;
        _model_module: string;
        _view_module: string;
        _model_module_version: string;
        _view_module_version: string;
        reverse: boolean;
        allow_padding: boolean;
    };
    initialize(attributes: any, options: any): void;
    create_projection(): void;
    attribute_changed(): void;
}
export declare class GnomonicModel extends GeoScaleModel {
    defaults(): {
        _model_name: string;
        _view_name: string;
        scale_factor: number;
        center: number[];
        precision: number;
        clip_angle: number;
        _model_module: string;
        _view_module: string;
        _model_module_version: string;
        _view_module_version: string;
        reverse: boolean;
        allow_padding: boolean;
    };
    initialize(attributes: any, options: any): void;
    create_projection(): void;
    attribute_changed(): void;
}
export declare class StereographicModel extends GeoScaleModel {
    defaults(): {
        _model_name: string;
        _view_name: string;
        scale_factor: number;
        center: number[];
        precision: number;
        rotate: number[];
        clip_angle: number;
        _model_module: string;
        _view_module: string;
        _model_module_version: string;
        _view_module_version: string;
        reverse: boolean;
        allow_padding: boolean;
    };
    initialize(attributes: any, options: any): void;
    create_projection(): void;
    attribute_changed(): void;
}
